%global pypi_name htmlmin
%global desc A configurable HTML Minifier with safety features.
%global github_owner mankyd
%global github_name %{pypi_name}
%global commit cc611c3c6eabac97aaa4e4e249be6e8910b12abd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{pypi_name}
Version:        0.1.10
Release:        2.gitcc611c3%{?dist}
Summary:        HTML Minifier

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://github.com/%{github_owner}/%{github_name}/archive/%{commit}/%{github_name}-%{commit}.tar.gz

BuildArch:      noarch

%description
%{desc}


%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%package       doc
Summary:       %{summary}
BuildRequires: python-sphinx

%description  doc
%{desc}

Documentation package.


%prep
%setup -q -n %{github_name}-%{commit}
rm -rf *.egg-info


%build
%py2_build
%py3_build

# Build doc
cd docs
make html
make man
# Remove hidden dir in doc not to install it
rm -rf _build/html/.buildinfo


%install
%py2_install
%py3_install

# Install man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 docs/_build/man/htmlmin.1 %{buildroot}%{_mandir}/man1


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/
%{_bindir}/htmlmin
%{_mandir}/man1/*

%files doc
%license LICENSE
%doc docs/_build/html

%changelog
* Sat Mar 12 2016 Julien Enselme <jujens@jujens.eu> 0.1.10-2.gitcc611c3
- Remove hidden dir in doc package

* Wed Mar 09 2016 Julien Enselme <jujens@jujens.eu> - 0.1.10-1.gitcc611c3
- Initial packaging

